Skip to main content
POST
/
v1
/
boards
/
{boardId}
/
documents
/
process
curl -X POST "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/documents/process" \
  -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
  -H "Content-Type: application/json" \
  -d '{
    "file_url": "https://storage.chatgrid.ai/board-files/usr_123/brd_456/report.pdf",
    "node_id": "e5f6a7b8-c9d0-1234-efab-345678901234"
  }'
{
  "object": "job",
  "data": {
    "id": "ccdd1122-3344-5566-7788-99aabbccddee",
    "status": "processing",
    "type": "document_process",
    "board_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "file_url": "https://storage.chatgrid.ai/board-files/usr_123/brd_456/report.pdf",
    "node_id": "e5f6a7b8-c9d0-1234-efab-345678901234"
  }
}
boardId
string
required
Board UUID.
file_url
string
required
Public URL of the document to process. Must be a valid URL.
node_id
string
Optional node to associate the processed content with.
This endpoint queues the document for asynchronous processing and returns a job object immediately. Poll the job status via Get Job to check when processing completes.
curl -X POST "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/documents/process" \
  -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6" \
  -H "Content-Type: application/json" \
  -d '{
    "file_url": "https://storage.chatgrid.ai/board-files/usr_123/brd_456/report.pdf",
    "node_id": "e5f6a7b8-c9d0-1234-efab-345678901234"
  }'
{
  "object": "job",
  "data": {
    "id": "ccdd1122-3344-5566-7788-99aabbccddee",
    "status": "processing",
    "type": "document_process",
    "board_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "file_url": "https://storage.chatgrid.ai/board-files/usr_123/brd_456/report.pdf",
    "node_id": "e5f6a7b8-c9d0-1234-efab-345678901234"
  }
}